
%define oname		secret

%define api		1
%define major		0
%define gi_major	1
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gi_major}

Name:           libsecret
Version:        0.21.4
Release:        %mkrel 1
Group: 		System/Libraries
Summary:        Library for storing and retrieving passwords and other secrets
License:        LGPLv2+
URL:            https://live.gnome.org/Libsecret
Source0:        http://download.gnome.org/sources/libsecret/libsecret-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#--------------------------------------------------
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: xsltproc
BuildRequires: docbook-xsl
BuildRequires: docbook-style-xsl
BuildRequires: libxml2-utils
BuildRequires: vala-tools
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: python3-markdown
BuildRequires: python3-typogrify
BuildRequires: python3-jinja2
BuildRequires: python3-toml
BuildRequires: python3-smartypants
#--------------------------------------------------
Requires: python3-markdown
Requires: python3-typogrify
Requires: python3-jinja2
Requires: python3-toml
Requires: python3-smartypants

%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{libname}
Summary:	Library for the secret protocol
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.


%package -n %{develname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}
Group: 		Development/Libraries
Provides:	libsecret-devel =  %{version}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

find %buildroot -name '*.la' -exec rm -f {} ';'
rm -rf %buildroot/%{_datadir}/doc


%files -n %{libname}
%defattr(-,root,root,-)
%{_bindir}/secret-tool
%{_libdir}/libsecret-1.so.*
%{_libdir}/girepository-1.0/Secret-1.typelib
%doc %{_mandir}/man1/secret-tool.1.*
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/libsecret-1/
%{_libdir}/libsecret-1.so
%{_libdir}/pkgconfig/libsecret-1.pc
%{_libdir}/pkgconfig/libsecret-unstable.pc
%{_datadir}/gir-1.0/Secret-1.gir
%{_datadir}/vala/vapi

%clean
rm -rf %buildroot

%changelog
* Mon Mar 18 2024 tex - 0.21.4-1pclos2024
- new version

* Thu Feb 15 2024 tex - 0.21.3-1pclos2024
- new version

* Fri Dec 15 2023 tex - 0.21.2-1pclos2023
- new version

* Fri Sep 22 2023 tex - 0.21.1-1pclos2023
- new version

